# NOTE: This package is fully arched due to dependency sensitivity.
# Please do not remove archfulness on Requires/Provides.

%define debug_package %{nil}

Name:           mkefiboot
Version:        31.8.0.1
Release:        %mkrel 3
Summary:        Standalone mkefiboot implementation for when Lorax is unavailable
Group:          System/Boot and Init
License:        GPLv2+
URL:            https://pagure.io/%{name}
Source0:        https://releases.pagure.org/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  python3-devel

# No signed shim binaries yet...
#Requires:       shim-signed
Requires:       grub2-efi
Requires:       parted
Requires:       dmsetup
Requires:       dosfstools
Requires:       hfsplus-tools

# These are the only arches Mageia provides grub2-efi...
ExclusiveArch:  %{ix86} x86_64 aarch64

%description
This is a "friendly fork" standalone copy of mkefiboot that is normally part of Lorax.

This project was made for the express purpose of supporting producing EFI boot capable
media on Linux distributions where the full Lorax software package (which requires
Anaconda, the Red Hat/Fedora installer) would not be available.


%prep
%autosetup -p1


%build
%py3_build


%install
%py3_install


%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{python3_sitelib}/py%{name}/
%{python3_sitelib}/%{name}-*




%changelog
* Sun Feb 16 2020 umeabot <umeabot> 31.8.0.1-3.mga8
+ Revision: 1536673
- Mageia 8 Mass Rebuild

* Mon Oct 21 2019 daviddavid <daviddavid> 31.8.0.1-2.mga8
+ Revision: 1455022
- rebuild for python3.8

* Mon Jul 08 2019 ngompa <ngompa> 31.8.0.1-1.mga8
+ Revision: 1419416
- imported package mkefiboot


* Sun Jul 07 2019 <ngompa13@gmail.com> - 31.8.0.1-1
- Initial packaging
